### Method

# ECal ComponentAlarm get_acknowledged

since: 3.40

#### Declaration [src]

    ICalTime*
    e_cal_component_alarm_get_acknowledged (
      const ECalComponentAlarm* alarm
    )

#### Description [src]

Get the last time the alarm had been acknowledged, that is, when its reminder had been triggered. The returned `ICalTime` is owned by `alarm` and should not be modified, neither its content.

Available since: 3.40

#### Return value

Type: `None`

The `alarm` acknowledged time, or `NULL`, when none is set.

The returned data is owned by the instance.
The return value can be `NULL`.